www.cendio.com
Bug 4100 - testpcsc fails, undefined symbol: SCardIsValidContext
: testpcsc fails, undefined symbol: SCardIsValidContext
Status: CLOSED FIXED
: ThinLinc
Smart card
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
: 4785
  Show dependency treegraph
 
Reported: 2011-12-16 10:39 by
Modified: 2014-04-07 16:41 (History)


Attachments
Patch for testpcsc (565 bytes, patch)
2014-03-25 09:22, Peter Åstrand
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2011-12-16 10:39:36
I tried to test the SCARD_AUTOALLOCATE bug with the testpcsc utility from
pcsc-lite since it uses the autoallocate API, but it failed because pcsctun
doesn't export all symbols it requires.

I got the binary from building our pcsc-lite-1.5.5 in the build system.

cendio@localhost:~> LD_BIND_NOW=1 ./testpcsc
./testpcsc: symbol lookup error: ./testpcsc: undefined symbol:
SCardIsValidContext

cendio@localhost:~> ldd testpcsc
    linux-vdso.so.1 =>  (0x00007fffa11fc000)
    libpcsclite.so.1 => /opt/thinlinc/lib64/libpcsclite.so.1
(0x00007f8528427000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f85281d4000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f8527e76000)
    libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f8527bb0000)
    libgthread-2.0.so.0 => /usr/lib64/libgthread-2.0.so.0 (0x00007f85279aa000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f8528632000)
    libpcre.so.0 => /usr/lib64/libpcre.so.0 (0x00007f852777a000)
    librt.so.1 => /lib64/librt.so.1 (0x00007f8527571000)
------- Comment #1 From cendio 2014-03-25 09:21:28 -------
Fixed in 28710. Time reporting will be done on bug 4785.
------- Comment #2 From cendio 2014-03-25 09:22:26 -------
Created an attachment (id=516) [details]
Patch for testpcsc

Use the following patch for testpcsc.
------- Comment #3 From cendio 2014-04-07 16:41:10 -------
Tested testpcsc (v1.5.5 + patch) within a thinlinc session using suisseID card
and thinlinc build 4316. Works as expected.